package cn.iocoder.yudao.module.mes.controller.admin.organization.vo;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum OrgClassEnum {


    工厂("factory"),
    车间("workshop"),
    产线("pipeline"),
    工序("process"),
    工位("workplace"),;

    private final String value;

    // 一个可选的方法，用于根据整数值获取对应的枚举实例
    public static OrgClassEnum fromValue(String value) {
        for (OrgClassEnum status : OrgClassEnum.values()) {
            if (status.getValue() .equals(value)) {
                return status;
            }
        }
        throw new IllegalArgumentException("Unknown value: " + value);
    }

}